import MethodInformation from './models/MethodInformation';
import { IController, IAwsRequestEvent } from './types/index';
export default class ControllerRegistry {
    private static controllersSet;
    static register(controller: IController): void;
    /**
     * Scan the controller to find which method can execute for the request resource
     * @param requestEvent
     *  The aws request event
     * @returns {Controller}
     *  Get the correct Controller instance to execute the request command
     */
    static controllerScan(requestEvent: IAwsRequestEvent): MethodInformation;
}
