export default class Validator {
    /**
     * Contains all Joi schemas for validation the properties for request
     */
    static VALIDATOR_SCHEMA: {
        UUID: any;
        UUID_REQUIRED: any;
        BOOK_STORE_NAME: any;
        BOOK_STORE_ID: any;
        IS_DELETED: any;
        CREATED_DATE: any;
        LAST_MODIFIED: any;
    };
    /**
     * Validate the field
     * @param validationSchema
     *  The validation Schema
     */
    static validateField(field: string, value: string, validationSchema: any): void;
    /**
     * Validate data using Joi
     * @param data
     * validation data
     * @param schema
     * the vailidate schema
     */
    static validate(data: Object, schema: Object): void;
    /**
     * Error message formatter
     * @param details
     *  The Details for the Error message
     * @return {{field: any, message: any}[]}
     */
    private static formatError(details);
}
